Skip to main content
PATCH
Update a team member's role

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique ID of the team member to update

Body

application/json

Update a team member's role

role
enum<string>
required

The new role to assign to the team member.

Available options:
teams_owner,
teams_contributor,
teams_report_viewer
Example:

"teams_owner"

Response

Team member updated successfully

id
string
required

Unique ID of the team member.

Examples:

"auth0|68da0038bab277c02ed1d4c8"

"google-oauth2|123456789012345678901"

email
string<email>
required

Email of the team member

Examples:

"john.doe@example.com"

"jane.smith@company.org"

role
enum<string>
required

The team-level role of the team member.

Available options:
teams_owner,
teams_contributor,
teams_report_viewer
Example:

"teams_owner"

name
string
required

Full name of the team member

Examples:

"John Doe"

"Jane Smith"

given_name
string
required

First name of the team member. Returns empty string if not set.

Examples:

"John"

"Jane"

family_name
string
required

Last name of the team member. Returns empty string if not set

Examples:

"Doe"

"Smith"

nickname
string
required

Nickname of the team member. Returns empty string if not set.

Examples:

"johndoe"

"jsmith"